Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 852053 - virt-manager does not work with the latest gtk-vnc
virt-manager does not work with the latest gtk-vnc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtk-vnc (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 08:59 EDT by Miroslav Grepl
Modified: 2012-09-23 01:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-22 23:24:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback (666 bytes, application/octet-stream)
2012-08-27 08:59 EDT, Miroslav Grepl
no flags Details

  None (edit)
Description Miroslav Grepl 2012-08-27 08:59:23 EDT
Created attachment 607200 [details]
traceback

Description of problem:

virt-manager does not work with the latest gtk-vnc

Version-Release number of selected component (if applicable):

# rpm -qa gtk-vnc*
gtk-vnc-0.5.1-1.fc17.x86_64
gtk-vnc2-0.5.0-2.fc17.x86_64
gtk-vnc-python-0.5.1-1.fc17.x86_6

How reproducible:

Just start virt-manager.


Additional info:

Error starting Virtual Machine Manager: /lib64/libgtk-vnc-1.0.so.0: undefined symbol: vnc_connection_open_addr
Comment 1 Manami Taira 2012-08-29 07:55:43 EDT
Me too.
Comment 2 Daniel Berrange 2012-08-29 12:57:22 EDT
What version of the 'gvnc' RPM do you have ?
Comment 3 Manami Taira 2012-08-30 09:16:52 EDT
It works after yum update today. Thanks!

before version
# rpm -qa gtk-vnc*
gtk-vnc-0.5.1-1.fc17.x86_64
gtk-vnc2-0.5.0-2.fc17.x86_64
gtk-vnc-python-0.5.1-1.fc17.x86_64

after is here
# rpm -qa gtk-vnc*
gtk-vnc-0.5.1-1.fc17.x86_64
gtk-vnc2-0.5.1-1.fc17.x86_64
gtk-vnc-python-0.5.1-1.fc17.x86_64
Comment 4 Fedora Update System 2012-09-04 07:26:10 EDT
gtk-vnc-0.5.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gtk-vnc-0.5.1-4.fc18
Comment 5 Fedora Update System 2012-09-04 08:26:57 EDT
gtk-vnc-0.5.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gtk-vnc-0.5.1-4.fc17
Comment 6 Fedora Update System 2012-09-04 12:55:39 EDT
Package gtk-vnc-0.5.1-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk-vnc-0.5.1-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13311/gtk-vnc-0.5.1-4.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-22 23:24:34 EDT
gtk-vnc-0.5.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-23 01:02:45 EDT
gtk-vnc-0.5.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.